Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.comp
Class ComponentDescription

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.comp.ComponentDescription

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class ComponentDescription
extends QTByteObject
implements quicktime.jdirect.QuickTimeLib

Describes component features. A value of zero indicates a non-specific value and can also be used as a wildcard in searches.

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`ComponentDescription()` Create a default ComponentDescription with all zero values.
`ComponentDescription(int type)` Specify the type of the ComponentDescription.
`ComponentDescription(int type, int subType, int manu, int flag, int mask)` Specify a full ComponentDescription class.

Method Summary
`java.lang.Object` | `clone()` Return a copy of this object.
`int` | `count()` Count the Components that much the description parameters.
`int` | `getFlags()` Returns the component flag.
`java.lang.String` | `getInformationString()` Returns information about the component retrieved from the ComponentIdentifier.getInfo() call.
`int` | `getManufacturer()` Returns the component manufacturer.
`int` | `getMask()` Returns the component mask.
`java.lang.String` | `getName()` Returns the name of the component retrieved from the ComponentIdentifier.getInfo() call.
`int` | `getSubType()` Returns the component subType.
`int` | `getType()` Returns the component type.
`void` | `setFlags(int flag)` Sets the flag.
`void` | `setManufacturer(int manufacturer)` Sets the manufacturer.
`void` | `setMask(int mask)` Sets the mask.
`void` | `setSubType(int subType)` Sets the type.
`void` | `setType(int type)` Sets the type.
`java.lang.String` | `toString()` Prints the Component Info.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentDescription

    public ComponentDescription()

  Create a default ComponentDescription with all zero values.

### ComponentDescription

    public ComponentDescription(int type)

  Specify the type of the ComponentDescription.

### ComponentDescription

    public ComponentDescription(int type,
                                int subType,
                                int manu,
                                int flag,
                                int mask)

  Specify a full ComponentDescription class.
  Parameters:
    `type` - Specifies the component type to search for. Set to 0 if not used in search.
    `subType` - Specifies the component subType. Set to 0 if not used in search.
    `manu` - Specifies the component manufacturer. Set to 0 if not used in search.
    `flag` - Specifies the component control flag used. Set to 0 if not used in search.
    `mask` - Specifies the component flag mask used. Set to 0 if not used in search.

Method Detail

### getType

    public int getType()

  Returns the component type.

### setType

    public void setType(int type)

  Sets the type.

### getSubType

    public int getSubType()

  Returns the component subType.

### setSubType

    public void setSubType(int subType)

  Sets the type.

### getManufacturer

    public int getManufacturer()

  Returns the component manufacturer.

### setManufacturer

    public void setManufacturer(int manufacturer)

  Sets the manufacturer.

### getFlags

    public int getFlags()

  Returns the component flag.

### setFlags

    public void setFlags(int flag)

  Sets the flag.

### getMask

    public int getMask()

  Returns the component mask.

### setMask

    public void setMask(int mask)

  Sets the mask.

### count

    public int count()

  Count the Components that much the description parameters.
  QuickTime::CountComponents

  Parameters:
    `desc` - describes the search parameters.
  Returns:
    The number of components fitting the specified parameters.

### getName

    public java.lang.String getName()

  Returns the name of the component retrieved from the ComponentIdentifier.getInfo() call.
  Returns:
    the component's name or null if no name retrieved

### getInformationString

    public java.lang.String getInformationString()

  Returns information about the component retrieved from the ComponentIdentifier.getInfo() call.
  Returns:
    the component's information string or null if none retrieved

### toString

    public java.lang.String toString()

  Prints the Component Info.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Return a copy of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD